Package org.eclipse.m2m.atl.emftvm.util

## Class ResourceIterable

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.ResourceIterable

All Implemented Interfaces:
  `java.lang.Iterable<org.eclipse.emf.ecore.EObject>`

    public class ResourceIterable
    extends java.lang.Object
    implements java.lang.Iterable<org.eclipse.emf.ecore.EObject>

Makes the contents of a `Resource` available as an `Iterable`.

### Constructor Summary

Constructors
`ResourceIterable​(org.eclipse.emf.ecore.resource.Resource res)` Creates a new `ResourceIterable` around `res`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Iterator<org.eclipse.emf.ecore.EObject>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ResourceIterable

    public ResourceIterable​(org.eclipse.emf.ecore.resource.Resource res)

Creates a new `ResourceIterable` around `res`.

Parameters:
  `res` - the resource

### Method Detail

#### iterator

    public java.util.Iterator<org.eclipse.emf.ecore.EObject> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<org.eclipse.emf.ecore.EObject>`